org.bdgenomics.adam.apis.java

# JavaAlignmentRecordRDD

#### class JavaAlignmentRecordRDD extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaAlignmentRecordRDD
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaAlignmentRecordRDD(jrdd: JavaRDD[AlignmentRecord])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def adamSAMSave(filePath: String): Unit

   Saves this RDD to disk as a SAM file.

   Saves this RDD to disk as a SAM file.

   filePath

     Path to save the file at.

7. #### def adamSAMSave(filePath: String, asSam: Boolean): Unit

   Saves this RDD to disk as a SAM/BAM file.

   Saves this RDD to disk as a SAM/BAM file.

   filePath

     Path to save the file at.

   asSam

     If true, saves as SAM. If false, saves as BAM.

8. #### def adamSave(filePath: String): Unit

   Saves this RDD to disk as a Parquet file.

   Saves this RDD to disk as a Parquet file.

   filePath

     Path to save the file at.

9. #### def adamSave(filePath: String, blockSize: Integer, pageSize: Integer, compressCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

   Saves this RDD to disk as a Parquet file.

   Saves this RDD to disk as a Parquet file.

   filePath

     Path to save the file at.

   blockSize

     Size per block.

   pageSize

     Size per page.

   compressCodec

     Name of the compression codec to use.

   disableDictionaryEncoding

     Whether or not to disable bit-packing.

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val jrdd: JavaRDD[AlignmentRecord]

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped